[Project_owners] Install.rdf problem

doron doron at nexgenmedia.net
Sat Jun 12 10:54:45 EDT 2004


You want 
http://www.bengoodger.com/software/mb/extensions/packaging/extensions.html 
- ben made a in my opinion horrible decision and never updated his old 
docs and simply wrote a new one.

I'm surprised you got a error message at all - the code does almost no 
error checking and its easy to get it to hang.

I am working on my own document on writing an extension for Mozilla and 
FireFox and have found quite a few ways to get it to die - if you find 
any, send me them, I'm working with bsdemberg on IRC to add more error 
handling like XPInstall does.

Jaap Haitsma wrote:

> Stephen Clavering wrote:
>
>> Jaap Haitsma wrote:
>>
>>>       <!-- Target Application this extension can install 
>>> into,        with minimum and maximum supported versions. -->    
>>> <em:targetApplication>{ec8030f7-c20a-464f-9b0e-13a3a9e97384},0.8+,0.9</em:targetApplication> 
>>>
>>>    
>>
>>
>> Shouldn't that be:
>>
>>    <em:targetApplication>
>>      <Description>
>>        <em:id>{ec8030f7-c20a-464f-9b0e-13a3a9e97384}</em:id>
>>        <em:minVersion>0.8</em:minVersion>
>>        <em:maxVersion>0.9</em:maxVersion>
>>      </Description>
>>    </em:targetApplication>
>>
>> ?
>
>
> Unfortunately that doesn't change anything. I keep on getting the same 
> error message. BTW ben's howto is using the notation I'm using.
> http://www.bengoodger.com/software/mb/extensions/howto.html
> So I guess both are allowed
>
> Jaap
> _______________________________________________
> Project_owners mailing list
> Project_owners at mozdev.org
> http://mozdev.org/mailman/listinfo/project_owners




More information about the Project_owners mailing list